org.apache.directory.mavibot.btree.exception

## Class KeyNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.directory.mavibot.btree.exception.KeyNotFoundException

- All Implemented Interfaces:
    Serializable

      public class KeyNotFoundException
      extends Exception

  An exception thrown when we can't find a key in the BTree.
  Author:
    Apache Directory Project
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KeyNotFoundException` | `INSTANCE` A static Exception used to avoid creating a new one every time

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyNotFoundException()` Creates a new instance of KeyNotFoundException.
    `KeyNotFoundException(String explanation)` Creates a new instance of KeyNotFoundException.
    `KeyNotFoundException(String explanation, Throwable cause)` Creates a new instance of KeyNotFoundException.
    `KeyNotFoundException(Throwable cause)` Creates a new instance of KeyNotFoundException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final KeyNotFoundException INSTANCE

      A static Exception used to avoid creating a new one every time

  - ### Constructor Detail

    - #### KeyNotFoundException

          public KeyNotFoundException()

      Creates a new instance of KeyNotFoundException.

    - #### KeyNotFoundException

          public KeyNotFoundException(String explanation)

      Creates a new instance of KeyNotFoundException.
      Parameters:
        `explanation` - The message associated with the exception

    - #### KeyNotFoundException

          public KeyNotFoundException(Throwable cause)

      Creates a new instance of KeyNotFoundException.

    - #### KeyNotFoundException

          public KeyNotFoundException(String explanation,
                              Throwable cause)

      Creates a new instance of KeyNotFoundException.
      Parameters:
        `explanation` - The message associated with the exception
        `cause` - The root cause for this exception

Copyright © 2012–2015 Apache Mavibot Project Parent. All rights reserved.